Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ISSearch
Class ISDocument

    java.lang.Object
      ISSearch.ISDocument

All Implemented Interfaces:
  ISDocumentInterface

    public class ISDocument

extends java.lang.Object
implements ISDocumentInterface

This mandatory class must implement all functions prescribed by `ISDocumentInterface`

Constructor Summary
`ISDocument()` Creates a new instance of ISDocument

Method Summary
`java.lang.String` | `getLink()` Returns the absolute URL of the current document
`ISTermInterface[]` | `getTerms()` Returns the bag of words extracted from the document.
`java.net.URL[]` | `getUrls()` Returns the set of absolute Url's extracted from the current document.
`void` | `setLink(java.lang.String u)` Sets the absolute URL of the current document
`void` | `setTerms(ISTermInterface[] t)` Sets the bag of words extracted from the document (without stopwords).
`void` | `setUrls(java.net.URL[] u)` Sets the set of absolute Url's extracted from the current document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISDocument

    public ISDocument()

  Creates a new instance of ISDocument

Method Detail

### getUrls

    public java.net.URL[] getUrls()

  Returns the set of absolute Url's extracted from the current document.

  Specified by:
    `getUrls` in interface `ISDocumentInterface`
  Returns:
    URLs extracted from the document (as `Array` of `URL`), or null when no links were found

### setUrls

    public void setUrls(java.net.URL[] u)

  Sets the set of absolute Url's extracted from the current document.

  Specified by:
    `setUrls` in interface `ISDocumentInterface`
  Parameters:
    `u` - is the URL[] which contains the absolute URLs extracted from the current document.

### getTerms

    public ISTermInterface[] getTerms()

  Returns the bag of words extracted from the document. The result should contain no stopwords.

  Specified by:
    `getTerms` in interface `ISDocumentInterface`
  Returns:
    The `Array` of words extracted from the document (as `Array` of Objects that must implement `ISTermInterface`), or null when no terms were found

### setTerms

    public void setTerms(ISTermInterface[] t)

  Sets the bag of words extracted from the document (without stopwords).

  Specified by:
    `setTerms` in interface `ISDocumentInterface`
  Parameters:
    `t` - is the ISTermInterface[] which contains extracted words.

### getLink

    public java.lang.String getLink()

  Returns the absolute URL of the current document

  Specified by:
    `getLink` in interface `ISDocumentInterface`
  Returns:
    The absolute URL of the current document as `String`

### setLink

    public void setLink(java.lang.String u)

  Sets the absolute URL of the current document

  Specified by:
    `setLink` in interface `ISDocumentInterface`
  Parameters:
    `u` - is the String which contains the URL of the current document

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD